Animal Receiving Information
The GetAnimalReceivingInfo endpoint returns a list with animal receiving or weighing order information in the MIMS system.
How to query animal receiving information
HTTP POST Request
| Request Type | Example URL |
|---|---|
| POST | {{url_base}}/GetAnimalReceivingInfo |
| Example | http://seuIPePorta/datasnap/rest/RESTWebServiceMethods/"GetAnimalReceivingInfo" |
Input Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| ReceivingNo | String(25) | No | External code of the Live Animal Receiving |
| AnimalWeighingOrderNo | String(25) | No | External code of the Weighing Order |
| BranchNo | String(25) | Yes | External code of the Branch |
| SlaughterStartDate | Data | No | Slaughter start date |
| SlaughterEndDate | Data | No | Slaughter end date |
Note
- At least one of the parameters
ReceivingNoorAnimalWeighingOrderNomust be provided. - If the parameters
SlaughterStartDateandSlaughterEndDateare provided, the parametersReceivingNoandAnimalWeighingOrderNoare not necessary
Return
| Parameter | Type | Required | Description |
|---|---|---|---|
| WebServiceReturn | WebServiceReturn | Yes | Standard WebService response information in method execution |
| AnimalReceivingInfoDataList | AnimalReceivingInfoDataList | Yes | List with animal receiving information |
📝 AnimalReceivingInfoDataList Object
The AnimalReceivingInfoDataList object represents a list of animal receiving information.
Return Parameters
Parameter Type Required Description AnimalReceivingNo String(25) No External code of live animal receiving AnimalReceivingCode Int64 No Internal code of live animal receiving AnimalWeighingOrderNo String(25) No External code of the Weighing Order VehiclePlateNo String(10) No Vehicle plate VehicleNo String(25) No External code of the vehicle LotNo String(40) No Lot FarmNo String(25) No External code of the Property ShedNo Integer No Shed CatchCrewNo String(25) No Catch crew SlaughterDate DataHora No Slaughter date SlaughteredAnimals Float No Quantity of slaughtered animals DeadAnimalsQty Float No Quantity of Dead Animals in Transport HeadsQty Float No Slaughtered heads GrossWeight Float No Gross Weight TareWeight Float No Tare NetWeight Float No Net Weight Invoice String(40) No Producer invoice GTANo Float No GTA number GTASeries String(5) No GTA series Shift Float No Shift number CatchingStartDate DataHora No Catching Start Date CatchingEndDate DataHora No Catching End Date CatchingTime String(8) No Catching Time DepartureDate DataHora No Farm Departure Date ArriveDate DataHora No Truck Arrival Date at Company HangingStartDate DataHora No Hanging Start Date HangingEndDate DataHora No Hanging End Date InitialTareWeightDate DataHora No Initial tare weighing date GrossWeightDate DataHora No Gross weight weighing date TareWeightDate DataHora No Tare weighing date FoodWithdrawalDate DataHora No Feed withdrawal date WaterWithdrawalDate DataHora No Water withdrawal date CoopsQty Float No Number of coops AnimalPerCageQty Integer No Quantity of Animals per Cage TransportStartDate DataHora No Transport start date TransportEndDate DataHora No Transport end date HangingSequence Integer No Hanging sequence, bird slaughter order
Request Example
curl --location 'http://10.5.7.4:8081/datasnap/rest/RESTWebServiceMethods/"GetAnimalReceivingInfo"' \
--header 'Content-Type: application/json' \
--data '{
"SlaughterStartDate": "2025-05-01",
"SlaughterEndDate": "2025-05-30",
"BranchNo": "01"
}'
Response Example
{
"WebServiceReturn": {
"Status": "wrsSuccess",
"ErrorCode": "",
"Message": "",
"Actor": "",
"ReturnQuestion": null
},
"AnimalReceivingInfoDataList": [
{
"AnimalReceivingNo": "TST4",
"AnimalReceivingCode": 28081,
"AnimalWeighingOrderNo": "161025",
"VehicleNo": "TR54",
"VehiclePlateNo": "AYO8D93",
"LotNo": "2603",
"FarmNo": "143840",
"ShedNo": 0,
"CatchCrewNo": "15",
"SlaughterDate": "2026-04-30",
"SlaughteredAnimals": 1500.0,
"DeadAnimalsQty": 0.0,
"HeadsQty": 1500.0,
"GrossWeight": 28000.0,
"TareWeight": 14150.0,
"NetWeight": 13850.0,
"Invoice": "",
"GTANo": 0.0,
"GTASeries": "",
"Shift": 2.0,
"CatchingStartDate": null,
"CatchingEndDate": null,
"CatchingTime": "00:00:00",
"DepartureDate": null,
"ArriveDate": null,
"HangingStartDate": "2026-04-30T21:36:26.000Z",
"HangingEndDate": "2026-04-30T21:36:28.000Z",
"InitialTareWeightDate": null,
"GrossWeightDate": "2026-04-30T14:30:50.000Z",
"TareWeightDate": "2026-04-30T17:30:50.000Z",
"FoodWithdrawalDate": null,
"WaterWithdrawalDate": null,
"CoopsQty": 300.0,
"AnimalPerCageQty": 0,
"TransportStartDate": null,
"TransportEndDate": null,
"HangingSequence": 1
}
]
}
🐞 Possible Errors
| Code | Message |
|---|---|
| GAR‑001 | The informed Animal Receiving was not found! |
| GAR‑002 | The "External Code of Live Animal Receiving (ReceivingNo)" parameter and the "External Code of Weighing Order (AnimalWeighingOrderNo)" parameter were not provided. Provide at least one! |
| GAR‑003 | The provided Slaughter End Date (SlaughterEndDate) parameter is less than the provided Slaughter Start Date (SlaughterStartDate) parameter! |